ホーム > ruby > CentOS5.5でRubyGemsを利用する

CentOS5.5でRubyGemsを利用する

RPMForgeリポジトリにRubyGemsパッケージの主要なものはあるが、ないものはコマンドでいれることになるので、パッケージは利用しない。
CentOS5.5のrubyは1.8.5と古いため、バージョンにあったものを利用する。

RubyGems

yum install ruby-devel gcc gcc-c++
cd /usr/local/src
wget http://production.cf.rubygems.org/rubygems/rubygems-1.3.5.zip
unzip rubygems-1.3.5.zip
cd rubygems-1.3.5
ruby setup.rb config

Passenger

yum install httpd-devel
gem install passenger
passenger-install-apache2-module
vim /etc/httpd/conf.d/passenger.conf

Ruby on Rails

gem install -v=2.3.5 rails

mysql

yum install mysql-devel
gem install mysql -v 2.7 -- --with-mysql-config=/usr/bin/mysql_config

hpricot

gem install hpricot -v=0.7

mechanize

yum install libxml2-devel libxslt-devel
gem install mechanize

sqlite3-ruby

yum install sqlite sqlite-devel
gem install sqlite3-ruby -v=1.2.4
カテゴリー: ruby タグ: ,
  1. コメントはまだありません。
  1. トラックバックはまだありません。